Bug 13297 - Iozone stopped working throws fsync error over a gluster-smb share on windows
Iozone stopped working throws fsync error over a gluster-smb share on windows
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.7.5
x64 All
: P5 major
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-23 04:37 UTC by Vivek Das
Modified: 2018-04-12 06:46 UTC (History)
5 users (show)

See Also:


Attachments
proposed patch for master (1.07 KB, patch)
2018-02-23 13:06 UTC, Guenther Deschner
obnox: review+
Details
Patch for 4.8 cherry-picked from master (1.40 KB, patch)
2018-02-27 10:06 UTC, Ralph Böhme
slow: review? (asn)
gd: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vivek Das 2018-02-23 04:37:10 UTC
Execution of "iozone.exe -a" over gluster samba share on windows fails with error as fsync: Bad file descriptor.

Version-Release number :
samba-4.7.5
Windows 8, 10
glusterfs-3.12.2
Iozone - 2.0.0.24

How reproducible:
Always

Steps to Reproduce:
1.Create a Samba - ctdb gluster cluster.
2.Create any volume type
3. Mount the volume on windows client
4. Go to the share drive from Powershell and run "iozone.exe -a"

Actual results:
Fails with "fsync: Bad file descriptor"
Comment 1 Volker Lendecke 2018-02-23 07:05:43 UTC
Michael, I think this one is up to you to delegate to the appropriate developer :-)
Comment 2 Guenther Deschner 2018-02-23 13:06:51 UTC
Created attachment 13976 [details]
proposed patch for master
Comment 3 Michael Adam 2018-02-26 10:39:44 UTC
Comment on attachment 13976 [details]
proposed patch for master

LGTM!
Comment 4 Ralph Böhme 2018-02-27 10:06:44 UTC
Created attachment 13986 [details]
Patch for 4.8 cherry-picked from master
Comment 5 Guenther Deschner 2018-02-27 10:32:27 UTC
Karolin, please add to 4.8, 4.7 and 4.6.

Thanks!
Comment 6 Stefan Metzmacher 2018-02-27 14:58:14 UTC
Pushed to autobuild-v4-8-test.
Comment 7 Karolin Seeger 2018-02-28 12:02:52 UTC
Pushed to v4-8-test.
Closing out bug report.

Thanks!
Comment 8 Guenther Deschner 2018-03-02 09:45:29 UTC
Karolin, Stefan, can we also have this please added to 4.7 and 4.6 if possible?
Comment 9 Karolin Seeger 2018-03-22 20:55:35 UTC
(In reply to Guenther Deschner from comment #8)
Pushed to autobuild-v4-[7,6]-test.
Comment 10 Karolin Seeger 2018-04-10 07:22:28 UTC
(In reply to Karolin Seeger from comment #9)
Pushed to v4-8-test and v4-7-test, re-trying autobuild-v4-6-test.
Comment 11 Karolin Seeger 2018-04-12 06:46:34 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to all branches. Closing out bug report.

Thanks!